<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonDigEnables_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonDigEnables_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Digital monitoring configuration.  
 <a href="structrl_mon_dig_enables__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ad1ff388f1a371a4e75b9b13708a1a093"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad1ff388f1a371a4e75b9b13708a1a093"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_dig_enables__t.html#ad1ff388f1a371a4e75b9b13708a1a093">enMask</a></td></tr>
<tr class="memdesc:ad1ff388f1a371a4e75b9b13708a1a093"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bit: Dig Monitoring <br />
 0 Reserved <br />
 1 CR4 and VIM lockstep test of diagnostic <br />
 2 Reserved <br />
 3 VIM test of diagnostic <br />
 4 Reserved <br />
 5 Reserved <br />
 6 CRC test of diagnostic <br />
 7 RAMPGEN memory ECC test of diagnostic <br />
 8 DFE Parity test of diagnostic <br />
 9 DFE memory ECC test of diagnostic <br />
 10 RAMPGEN lockstep test of diagnostic <br />
 11 FRC lockstep test of diagnostic <br />
 12 Reserved <br />
 13 Reserved <br />
 14 Reserved <br />
 15 Reserved <br />
 16 ESM test of diagnostic <br />
 17 DFE STC <br />
 18 Reserved <br />
 19 ATCM, BTCM ECC test of diagnostic <br />
 20 ATCM, BTCM parity test of diagnostic <br />
 21 Reserved <br />
 22 Reserved <br />
 23 Reserved <br />
 24 FFT test of diagnostic <br />
 25 RTI test of diagnostic <br />
 26 PCR test of diagnostic <br />
 31:27 RESERVED <br />
. <br /></td></tr>
<tr class="separator:ad1ff388f1a371a4e75b9b13708a1a093"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aeeca3dae7f7316191284c160dcb311"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5aeeca3dae7f7316191284c160dcb311"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_dig_enables__t.html#a5aeeca3dae7f7316191284c160dcb311">testMode</a></td></tr>
<tr class="memdesc:a5aeeca3dae7f7316191284c160dcb311"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 Production mode. Latent faults are tested and any failures are reported <br />
 1 Characterization mode. Faults are injected and failures are reported which allows testing of the failure reporting path <br />
. <br /></td></tr>
<tr class="separator:a5aeeca3dae7f7316191284c160dcb311"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70025bfb787ce3e9a73cd48801ebccc0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a70025bfb787ce3e9a73cd48801ebccc0"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_dig_enables__t.html#a70025bfb787ce3e9a73cd48801ebccc0">reserved0</a></td></tr>
<tr class="memdesc:a70025bfb787ce3e9a73cd48801ebccc0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a70025bfb787ce3e9a73cd48801ebccc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad257b98aeb570c96419de6012569f325"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad257b98aeb570c96419de6012569f325"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_dig_enables__t.html#ad257b98aeb570c96419de6012569f325">reserved1</a></td></tr>
<tr class="memdesc:ad257b98aeb570c96419de6012569f325"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ad257b98aeb570c96419de6012569f325"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07d49c9de9e8e3ad2e75363d851e9185"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07d49c9de9e8e3ad2e75363d851e9185"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_dig_enables__t.html#a07d49c9de9e8e3ad2e75363d851e9185">reserved2</a></td></tr>
<tr class="memdesc:a07d49c9de9e8e3ad2e75363d851e9185"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a07d49c9de9e8e3ad2e75363d851e9185"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Digital monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
